# $Revision: 1.21 $, $Date: 2002/07/22 18:47:49 $
#
# Conditional build:
# _without_gnome	- without GNOME frontend (gcdmaster)
#
Summary:	Tools for burning CDRs in Disk At Once mode
Summary(pl):	Narzdzia do wypalania pyt w trybie Disk At Once
Summary(pt_BR):	Cdrdao - Escreve CD-Rs de udio em modo "disk-at-once"
Name:		cdrdao
Version:	1.1.5
Release:	4
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/cdrdao/%{name}-%{version}.src.tar.gz
Patch0:		%{name}-destdir.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-acfix.patch
Patch3:		%{name}-gcdmaster-paths.patch
URL:		http://cdrdao.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
BuildRequires:	libsigc++-devel
BuildRequires:	pccts-devel
%{!?_without_gnome:BuildRequires:	gtkmm-devel >= 1.2.5}
%{!?_without_gnome:BuildRequires:	gnome-libs-devel >= 1.2.3}
%{!?_without_gnome:BuildRequires:	gnomemm-devel >= 1.1.17}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xprefix	/usr/X11R6
%define		_xbindir	%{_xprefix}/bin
%define		_xmandir	%{_xprefix}/man

%description
Cdrdao records audio and data CD-Rs in Disk At Once mode. This mode
gives much better control over contents of CD.

%description -l pl
Cdrdao zapisuje pytki audio i z danymi w trybie Disk At Once. W tym
trybie masz znacznie wiksz kontrol nad zawartoci pytki.

%description -l pt_BR
Escreve CD-Rs de udio em modo "disk-at-once" (DAO) permitindo
controle sobre pre-gaps (tamanho reduzido a 0, dados no zerados de
udio) e informaes de sub-canais como cdigos ISRC. Todos os dados
que so escritos no disco devem ser especificados atravs de um
arquivo texto. Dados de udio tambm podem estar no formato WAVE ou
raw.

%package gcdmaster
Summary:	GNOME frontend to cdrdao for composing audio CDs
Summary(pl):	Frontend GNOME do cdrdao do skadania pyt CD-Audio
Group:		X11/Applications
Requires:	%{name} = %{version}

%description gcdmaster
gcdmaster allows the creation of toc-files for cdrdao and can control
the recording process. Its main application is the composition of
audio CDs from one or more audio files. It supports PQ-channel
editing, entry of meta data like ISRC codes/CD-TEXT and non
destructive cut of the audio data.

%description gcdmaster -l pl
gcdmaster pozwala na tworzenie plikw toc dla cdrdao oraz moe
kontrolowa proces nagrywania. Gwnym celem jest skadanie pyt
CD-Audio z jednego lub wicej plikw z dwikiem. Obsuguje edycj
kanau PQ, wpisy meta-danych takich jak kody ISRC/CD-TEXT oraz
niedestruktywne cicie danych audio.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cd paranoia
%{__autoconf}
cd ..
%{__autoconf}
# false gtkmm-config path can be used to disable building of GNOME frontend
%configure \
	--with-pcctsbin=%{_bindir} \
	--with-pcctsinc=%{_includedir}/pccts \
	%{?_without_gnome:--with-gtkmm-exec-prefix=/}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS README README.PlexDAE Release*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*

%if %{?_without_gnome:0}%{!?_without_gnome:1}
%files gcdmaster
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/*
%{_xmandir}/man1/*
%{_pixmapsdir}/*
%{_applnkdir}/Applications/gcdmaster.desktop
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cdrdao.spec,v $
Revision 1.21  2002/07/22 18:47:49  blues
- typo

Revision 1.20  2002/07/21 20:05:21  kloczek
- do not regenerate ac files in subdirectories in subshell.

Revision 1.19  2002/07/13 19:16:44  mmazur
- bumped release
- use new %doc

Revision 1.18  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/25 16:04:19  arturs
fixed a small typo

Revision 1.16  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/03 20:43:22  ankry
- adding es/pt/pt_BR Group translations

Revision 1.14  2002/01/18 02:12:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/07 16:36:24  kloczek
- release 2.

Revision 1.12  2001/11/07 16:33:13  qboosh
- two gcdmaster-related fixes (one in spec, second in gcdmaster-paths patch)

Revision 1.11  2001/11/06 00:30:03  kloczek
- merge translations from CNV.

Revision 1.10  2001/11/02 17:53:12  qboosh
- updated to 1.1.5, updated destdir patch
- acfix patch with autoconf 2.52 compatibility fix
- xcdrdao has been updated to GTK-- 1.2.5 API, but to gcdmaster
  and is GNOME application now (moved to subpackage - probably NFY)
- gcdmaster-paths patch with hardcoded paths to move gcdmaster to /usr/X11R6

Revision 1.9  2001/10/13 19:20:03  qboosh
- added URL, updated Source0 URL (note: 1.1.5 on ftp)

Revision 1.8  2001/10/13 12:56:06  qboosh
- pass false gtk-- prefix to allow building without xdao when gtk-- is installed
  (xdao requires gtk-- 1.0.0 and doesn't build with 1.2.5; gtkmmconvert hangs)
- release 2

Revision 1.7  2001/10/01 09:37:13  marcus
- %%configure2_13

Revision 1.6  2001/03/15 23:19:49  kloczek
- spec adapterized,
- added autoconf to BuildRequires,
- removed COPYING from %doc (well known copyright statment is in License
  field),
- do not gzip man pages (rpm does this),
- removed all commented lines in %install.

Revision 1.5  2001/03/15 18:27:43  qboosh
- opt patch (use $RPM_OPT_FLAGS, not -O20 to compile paranoia)

Revision 1.4  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.1  2000/04/24 18:25:55  mkochano
- Builds without X interface. The interface can't be compiled with current
  version of gtkmm.
